> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wattshift.com/llms.txt
> Use this file to discover all available pages before exploring further.

# check eligibility for zipcode



## OpenAPI

````yaml /api-reference/openapi.json post /v1/onboarding/eligibility/check
openapi: 3.0.0
info:
  title: WattShift API
  description: An API for the WattShift Service (https://wattshift.com/partners)
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /v1/onboarding/eligibility/check:
    post:
      tags:
        - onboarding
      summary: check eligibility for zipcode
      operationId: OnboardingController_checkEligibility_v1
      parameters:
        - name: x-ws-api-key
          in: header
          description: WattShift API Key
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnboardingEligibilityCheckRequestDto'
            example:
              zipcode: '94107'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingEligibilityCheckResponseDto'
              example:
                supported: true
                wholesaleMarket: true
                tariffData: true
                demandResponsePrograms:
                  - CAISO
                reason: Zipcode is supported for onboarding.
      security:
        - x-ws-api-key: []
components:
  schemas:
    OnboardingEligibilityCheckRequestDto:
      type: object
      properties:
        zipcode:
          type: string
      required:
        - zipcode
    OnboardingEligibilityCheckResponseDto:
      type: object
      properties:
        supported:
          type: boolean
        wholesaleMarket:
          type: boolean
        tariffData:
          type: boolean
        demandResponsePrograms:
          type: array
          items:
            type: string
        reason:
          type: string
      required:
        - supported
        - wholesaleMarket
        - tariffData
        - demandResponsePrograms
  securitySchemes:
    x-ws-api-key:
      type: apiKey
      in: header
      name: x-ws-api-key
      description: WattShift API key

````